iCalendlyDeveloper Docs
Event types webhooks

GETGet a webhook

GET/v2/event-types/{eventTypeId}/webhooks/{webhookId}

Path Parameters

webhookIdRequiredstring
eventTypeIdRequirednumber

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X GET "https://example.com/v2/event-types/0/webhooks/<string>" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": {
    "payloadTemplate": "{\"content\":\"A new event has been scheduled\",\"type\":\"{{type}}\",\"name\":\"{{title}}\",\"organizer\":\"{{organizer.name}}\",\"booker\":\"{{attendees.0.name}}\"}",
    "triggers": [
      "BOOKING_CREATED"
    ],
    "eventTypeId": 0,
    "id": 0,
    "subscriberUrl": "string",
    "active": true,
    "secret": "string"
  }
}